package com.hh.arome.bean.ampe;

import com.common.print.bean.PrintBean;

import java.util.List;

public class AmpeAppletRequestBean {

    private String action;
    private String event;
    private String taskId;
    private ParamsDTO params;

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public ParamsDTO getParams() {
        return params;
    }

    public void setParams(ParamsDTO params) {
        this.params = params;
    }

    public static class ParamsDTO {

        // 打印配置
        private PrintBean.PrintConfigDTO printConfig;

        // 具体打印内容
        private List<PrintListBean> printList;

        public List<PrintListBean> getPrintList() {
            return printList;
        }

        public void setPrintList(List<PrintListBean> PrintList) {
            this.printList = PrintList;
        }

        public static class PrintListBean {
            private boolean Bold;
            private String algin;
            private int height;
            private String imageBase64;
            private String text;
            private int textSize;
            private int width;
            private String qrCodeText;

            int xPosition;
            int yPosition;

            private String localPdfPath; //MlaFCDD215 pdf打印

            public int getxPosition() {
                return xPosition;
            }

            public void setxPosition(int xPosition) {
                this.xPosition = xPosition;
            }

            public int getyPosition() {
                return yPosition;
            }

            public void setyPosition(int yPosition) {
                this.yPosition = yPosition;
            }

            public String getQrCodeText() {
                return qrCodeText;
            }

            public void setQrCodeText(String qrCodeText) {
                this.qrCodeText = qrCodeText;
            }

            public boolean isBold() {
                return Bold;
            }

            public void setBold(boolean Bold) {
                this.Bold = Bold;
            }

            public String getAlgin() {
                return algin;
            }

            public void setAlgin(String algin) {
                this.algin = algin;
            }

            public int getHeight() {
                return height;
            }

            public void setHeight(int height) {
                this.height = height;
            }

            public String getImageBase64() {
                return imageBase64;
            }

            public void setImageBase64(String imageBase64) {
                this.imageBase64 = imageBase64;
            }

            public String getText() {
                return text;
            }

            public void setText(String text) {
                this.text = text;
            }

            public int getTextSize() {
                return textSize;
            }

            public void setTextSize(int textSize) {
                this.textSize = textSize;
            }

            public int getWidth() {
                return width;
            }

            public void setWidth(int width) {
                this.width = width;
            }

            public String getLocalPdfPath() {
                return localPdfPath;
            }

            public void setLocalPdfPath(String localPdfPath) {
                this.localPdfPath = localPdfPath;
            }
        }



        public PrintBean.PrintConfigDTO getPrintConfig() {
            return printConfig;
        }

        public void setPrintConfig(PrintBean.PrintConfigDTO printConfig) {
            this.printConfig = printConfig;
        }


        // ampe配置
        private ExtInfo extInfo;

        public ExtInfo getExtInfo() {
            return extInfo;
        }

        public void setExtInfo(ExtInfo extInfo) {
            this.extInfo = extInfo;
        }

        public static class ExtInfo {
            // 授权参数
            String scopes;
            String merchantAppId;

            public String getScopes() {
                return scopes;
            }

            public void setScopes(String scopes) {
                this.scopes = scopes;
            }

            public String getMerchantAppId() {
                return merchantAppId;
            }

            public void setMerchantAppId(String merchantAppId) {
                this.merchantAppId = merchantAppId;
            }

            @Override
            public String toString() {
                return "ExtInfo{" +
                        "scopes='" + scopes + '\'' +
                        ", merchantAppId='" + merchantAppId + '\'' +
                        '}';
            }
        }


        // 身份证信息
        private String infoType;

        // 聚合授权
        String scope = "auth_user";
        String serviceId;
        String query;


        public String getInfoType() {
            return infoType;
        }

        public void setInfoType(String infoType) {
            this.infoType = infoType;
        }

        public String getServiceId() {
            return serviceId;
        }

        public void setServiceId(String serviceId) {
            this.serviceId = serviceId;
        }

        public String getQuery() {
            return query;
        }

        public void setQuery(String query) {
            this.query = query;
        }

        public String getScope() {
            return scope;
        }

        public void setScope(String scope) {
            this.scope = scope;
        }



        // 刷脸1:1 所需
        String certName;
        String certNo;
        String certPhotoBase64Str;

        public String getCertName() {
            return certName;
        }

        public void setCertName(String certName) {
            this.certName = certName;
        }

        public String getCertNo() {
            return certNo;
        }

        public void setCertNo(String certNo) {
            this.certNo = certNo;
        }

        public String getCertPhotoBase64Str() {
            return certPhotoBase64Str;
        }

        public void setCertPhotoBase64Str(String certPhotoBase64Str) {
            this.certPhotoBase64Str = certPhotoBase64Str;
        }


        //
        String text;

        // 语音所需
        Float pitch;
        Float rate;

        Integer speechQueue;

        public String getText() {
            return text;
        }

        public void setText(String text) {
            this.text = text;
        }

        public Float getPitch() {
            return pitch;
        }

        public void setPitch(Float pitch) {
            this.pitch = pitch;
        }

        public Float getRate() {
            return rate;
        }

        public void setRate(Float rate) {
            this.rate = rate;
        }

        public Integer getSpeechQueue() {
            return speechQueue;
        }

        public void setSpeechQueue(Integer speechQueue) {
            this.speechQueue = speechQueue;
        }




        // 录音
        Integer intervalTime = 1000;

        public Integer getIntervalTime() {
            return intervalTime;
        }

        public void setIntervalTime(Integer intervalTime) {
            this.intervalTime = intervalTime;
        }



        @Override
        public String toString() {
            return "ParamsDTO{" +
                    "extInfo=" + extInfo +
                    ", infoType='" + infoType + '\'' +
                    ", scope='" + scope + '\'' +
                    ", serviceId='" + serviceId + '\'' +
                    ", query='" + query + '\'' +
                    ", certName='" + certName + '\'' +
                    ", certNo='" + certNo + '\'' +
                    ", certPhotoBase64Str='" + certPhotoBase64Str + '\'' +
                    ", text='" + text + '\'' +
                    ", pitch=" + pitch + '\'' +
                    ", rate=" + rate + '\'' +
                    ", speechQueue=" + speechQueue +
                    '}';
        }



    }
    public static class PrintDTO{

    }


    @Override
    public String toString() {
        return "AmpeMiniDevRequestBean{" +
                "action='" + action + '\'' +
                ", event='" + event + '\'' +
                ", taskId='" + taskId + '\'' +
                ", params=" + params +
                '}';
    }
}
